Globber (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: Globber

Package org.apache.hadoop.fs

# Class Globber

java.lang.Object
org.apache.hadoop.fs.Globber

@Private @Unstable public class Globber extends Object
Implementation of `FileSystem.globStatus(Path, PathFilter)`. This has historically been package-private; it has been opened up for object stores within the `hadoop-*` codebase ONLY. It could be expanded for external store implementations in future.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Globber.GlobBuilder`
  Builder for Globber instances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Globber.GlobBuilder`
  `createGlobber(FileContext fileContext)`
  Create a builder for a Globber, bonded to the specific file context.
  `static Globber.GlobBuilder`
  `createGlobber(FileSystem filesystem)`
  Create a builder for a Globber, bonded to the specific filesystem.
  `FileStatus[]`
  `glob()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Method Details

  - ### glob

    public FileStatus[] glob() throws IOException
    Throws:
      `IOException`

  - ### createGlobber

    public static Globber.GlobBuilder createGlobber(FileSystem filesystem)
    Create a builder for a Globber, bonded to the specific filesystem.
    Parameters:
      `filesystem` - filesystem
    Returns:
      the builder to finish configuring.

  - ### createGlobber

    public static Globber.GlobBuilder createGlobber(FileContext fileContext)
    Create a builder for a Globber, bonded to the specific file context.
    Parameters:
      `fileContext` - file context.
    Returns:
      the builder to finish configuring.